version: "2"
linters:
  default: none
  enable:
    - asasalint
    - errcheck
    - govet
    - ineffassign
    - staticcheck
    - unused
    - errorlint
    - exhaustive
    - forbidigo
    - forcetypeassert
    - gochecknoglobals
    - gosec
    - nilerr
    - nilnesserr
    - nilnil
    - predeclared
    - reassign
    - revive
    - sloglint
    - tagliatelle
    - usestdlibvars
  settings:
    revive:
      enable-default-rules: true
      rules:
        - name: exported
          disabled: true
        - name: package-comments
          disabled: true
formatters:
  enable:
    - gofmt
    - goimports
severity:
  default: error